# ---------------------------
# 共通
# ---------------------------
variable "name_prefix" {
#    default = "userXX-"
    default = 
}
variable "env" {
    default = "dev"
}

# ---------------------------
# vpc
# ---------------------------
variable "vpc_cidr_block" {
    default = "10.0.0.0/16"
}
variable "vpc_name" {
    default = "hands-on-vpc"
}
variable "public_1a_cidr" {
    default = "10.0.0.0/24"
}
variable "public_1c_cidr" {
    default = "10.0.2.0/24"
}
variable "private_1a_cidr" {
    default = "10.0.1.0/24"
}
variable "private_1c_cidr" {
    default = "10.0.3.0/24"
}
variable "public_1a_name" {
    default = "hands-on-public-1a"
}
variable "public_1c_name" {
    default = "hands-on-public-1c"
}
variable "private_1a_name" {
    default = "hands-on-private-1a"
}
variable "private_1c_name" {
    default = "hands-on-private-1c"
}
variable "igw_name" {
    default = "hands-on-igw"
}
variable "public_rtb_name" {
    default = "hands-on-public-rtb"
}

# ---------------------------
# security group
# ---------------------------
variable "alb_sg_name" {
    default = "hands-on-alb-sg"
}
variable "ec2_sg_name" {
    default = "hands-on-ec2-sg"
}
variable "rds_sg_name" {
    default = "hands-on-rds-sg"
}

# ---------------------------
# ec2
# ---------------------------
variable "key_name" {
    default = "hands-on-keypair"
}
variable "web1_private_ip" {
    default = "10.0.0.10"
}
variable "web2_private_ip" {
    default = "10.0.2.10"
}
variable "ni_web1_name" {
    default = "hands-on-ni-web1"
}
variable "ni_web2_name" {
    default = "hands-on-ni-web2"
}
variable "ec2_web1_name" {
    default = "hands-on-ec2-web1"
}
variable "ec2_web2_name" {
    default = "hands-on-ec2-web2"
}

# ---------------------------
# rds
# ---------------------------
variable "db_subnet_group_name" {
    default = "hands-on-db-subnet-group"
}
variable "rds_identifier" {
    default = "hands-on-rds"
}
variable "rds_db_name" {
    default = "wordpress"
}
variable "rds_username" {
    default = "admin"
}
variable "rds_password" {
    default = "passw0rd!"
}

# ---------------------------
# alb
# ---------------------------
variable "alb_name" {
    default = "hands-on-alb"
}
variable "target_group_name" {
    default = "hands-on-target-group"
}
